tmutfmt.h File Reference

C++ API: Format and parse duration in single time unit. More...

`#include "unicode/utypes.h"`
`#include "unicode/unistr.h"`
`#include "unicode/tmunit.h"`
`#include "unicode/tmutamt.h"`
`#include "unicode/measfmt.h"`
`#include "unicode/numfmt.h"`
`#include "unicode/plurrule.h"`

Go to the source code of this file.

## Data Structures

class | icu::TimeUnitFormat
| Format or parse a TimeUnitAmount, using plural rules for the units where available. More...

## Namespaces

| icu
| File coll.h.

## Typedefs

typedef enum UTimeUnitFormatStyle | UTimeUnitFormatStyle

## Enumerations

enum | UTimeUnitFormatStyle { UTMUTFMT_FULL_STYLE , UTMUTFMT_ABBREVIATED_STYLE , UTMUTFMT_FORMAT_STYLE_COUNT }
| Constants for various styles. More...

## Detailed Description

C++ API: Format and parse duration in single time unit.

Definition in file tmutfmt.h.

## Typedef Documentation

## UTimeUnitFormatStyle

typedef enum UTimeUnitFormatStyle UTimeUnitFormatStyle

Deprecated:
  ICU 53

Definition at line 1 of file tmutfmt.h.

## Enumeration Type Documentation

## UTimeUnitFormatStyle

enum UTimeUnitFormatStyle

Constants for various styles.

There are 2 styles: full name and abbreviated name. For example, for English, the full name for hour duration is "3 hours", and the abbreviated name is "3 hrs".

Deprecated:
  ICU 53 Use MeasureFormat and UMeasureFormatWidth instead.

Enumerator

UTMUTFMT_FULL_STYLE

Deprecated:
  ICU 53

UTMUTFMT_ABBREVIATED_STYLE

Deprecated:
  ICU 53

UTMUTFMT_FORMAT_STYLE_COUNT

Deprecated:
  ICU 53

Definition at line 41 of file tmutfmt.h.